Skip to main content
GET
/
core
/
companies
/
{company_id}
/
shared
/
line_item
Get All Line Items
curl --request GET \
  --url https://api.integrations.commenda.io/v4/core/companies/{company_id}/shared/line_item \
  --header 'api_key: <api-key>'
{
  "data": [
    {}
  ],
  "prev": "<string>",
  "next": "<string>",
  "total_count": 123
}

Documentation Index

Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt

Use this file to discover all available pages before exploring further.

List line items for a company. Filter by parent_id, parent_type, and other supported fields. Supports cursor pagination and select for raw_data / data_hash.

Authorizations

api_key
string
header
required

Path Parameters

company_id
integer
required

RootFi company ID for the company connection to read or write.

Query Parameters

limit
integer | null

The number of records to retrieve

next
string | null

The next page cursor

prev
string | null

The previous page cursor

expand
string | null

Comma separated fields to expand

select
string | null

Comma separated fields to select (raw_data, data_hash)

return_count
string | null

Return total count (true/false)

include_deleted_records
string | null

Include deleted records (true/false)

Response

List of line items.

Paginated line items list.

data
object[]
required
prev
string | null

The previous page of objects to retrieve

next
string | null

The next page of objects to retrieve

total_count
integer | null

The total count of the objects